---
icon: material/gavel
description: Da rules. This page contains all of the rules for the servers.
---

# Code of Conduct and Bans

!!! Notice
    This is a living document and may change at any time. Please check back here once in a while.

These servers are meant to be a great hangout place for friends of friends, you can invite whoever you like! That being said, there are some ground rules to go over.

## General rules

- Treat others with respect.
    - We are all just here trying to have a good time :)
- No griefing.
    - Please don't destroy other folk's builds. A lot of work goes into them!
- Leave room.
    - Some of us like to build huge things, that's cool but make sure to leave room for your neighbors! If you are starting to encroach on another person's build, have a chat and find solutions.
- Let admins and mods perform their roles.
    - Do not spam them with messages, please.
- This server is 18+
    - Some topics and language may not be suitable for younger ages.
- Avoid politics, this is not the place for that.
- Hate speech of any kind will not be tolerated.
    - No homophobia, transphobia, queerphobia, racism, sexism, discrimination, xenophobia, etc.

## Exploits

We see exploits as part of the game and have actually disabled some changes provided by Paper that fixed piston duping and permanent block breaking. That being said, anything that would negatively impact the server such as corruptions will not be tolerated as they can compromise the stability.

## Lag considerations

On the servers in the tab menu is the servers MSPT[^1] and TPS[^2] so that players can see how heathy the server is. Some things that can affect the MSPT and TPS of the server are large redstone machines, large collections of entities and fast chunk loading.

If you build a large redstone machine, please take a moment to observe how it affects the server's performance. If it does affect the MSPT enough to dip the TPS, please run the machine irregularly or when other players are not around or have expressed that they don't mind a bit of tick lag.

Intentionally lagging the servers will not be tolerated.

## Modified clients

Some server admins absolutely HATE modified clients, however, given the type of server this is meant to be they are fine with the following considerations.

- Minimaps should be "Fair Play" versions.
    - Shouldn't show you cave maps, or entity radar.
    - Suggestion: [Xaero's Minimap (Fair-play Edition)](https://modrinth.com/mod/xaeros-minimap-fair)
- Inventory sorting mods are awesome!

## Kicks

**3 Strikes, you're banned.** Each kick counts towards your three kick strikes. Each player gets three kicks total for the lifetime of their account. Kicks will be used for minor offenses. After your third kick, the next action will always be a ban.

## Bans

**3 Strikes, you're out.** Each ban counts towards your three ban strikes. Your first two bans will last one week each, your third will be permanent. You may get banned for a number of reasons. If you get banned, the person that banned you will record the exact reason you were banned and an admin will be informed.

- First Ban.
    - One week.
    - Can be appealed.
- Second Ban.
    - Two weeks.
    - Can be appealed in second week.
- Third Ban.
    - Permanent.
    - No appeal.

### Ban or Kick Appeals

#### Kicks

If you successfully appeal a kick, your total will be reverted.

#### Bans

If you appeal a ban, and your appeal is accepted, you will be unbanned ASAP. However, your ban count will remain.

[Submit Appeal :material-send:](https://docs.google.com/forms/d/e/1FAIpQLSdknPa-I-bF1OcPOkkAOI5E4MwEs8GW7XCV1yAv-hDOng2QNA/viewform?usp=sf_link){ .md-button }

[^1]: MSPT: Milliseconds Per Tick is how long each tick takes to process. Any value above 50 MSPT will start to degrade the TPS of the server.
[^2]: TPS: Ticks Per Second is how many times the server updates per second. This value should never be lower than 20. If it is, you will start to experience server lab. Ex: Placing a block and it taking a second or two to actually appear, or entities moving in a choppy way instead of fluidly.